> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/personalities

> Create personalities.

Creates one or more personalities. Each item needs `name`. All other fields are optional. `role_description` replaces the role description of the Digital Human when the personality runs.Rate limit: 60 requests per minute.## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Request body

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## ResponseThe response is a list. Each item has these fields:

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request POST \
  --url https://api.getbluejay.ai/v1/personalities \
  --header 'X-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
    "personalities": [
      {
        "language": "<string>",
        "accent": "<string>",
        "gender": "<string>",
        "background_noise": "none",
        "background_noise_volume": 1.5,
        "custom_background_noise_url": "<string>",
        "voice_speed": "slowest",
        "audio_quality": "horrible",
        "fluency": "beginner",
        "verbosity": "low",
        "endpointing_delay": 1.5,
        "silence_timeout": 123,
        "temperature": 1.5,
        "interruption_configs": {},
        "role_description": "<string>",
        "name": "<string>"
      }
    ]
  }'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "language": "<string>",
    "accent": "<string>",
    "gender": "<string>",
    "background_noise": "<string>",
    "background_noise_volume": 1.5,
    "custom_background_noise_url": "<string>",
    "voice_speed": "<string>",
    "audio_quality": "<string>",
    "fluency": "<string>",
    "verbosity": "<string>",
    "endpointing_delay": 1.5,
    "silence_timeout": 123,
    "temperature": 1.5,
    "interruption_configs": {},
    "role_description": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
  }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.